<?php include "common/user_log.php"; ?>
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sampathbay</title>
  <!-- Place favicon.ico in the root directory -->
   <link rel="shortcut icon" type="image/x-icon" href="../img/S_favicon.ico"> 
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.5 -->
  <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="dist/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="dist/css/ionicons.min.css">
  <!-- daterange picker -->
  <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker-bs3.css">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="plugins/iCheck/all.css">
  <!-- Bootstrap Color Picker -->
  <link rel="stylesheet" href="plugins/colorpicker/bootstrap-colorpicker.min.css">
  <!-- Bootstrap time Picker -->
  <link rel="stylesheet" href="plugins/timepicker/bootstrap-timepicker.min.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/select2.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables/dataTables.bootstrap.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">
  <link rel="stylesheet" href="plugins/sweetalert/sweetalert.css" />
</head>

<body class="hold-transition skin-blue sidebar-mini">
  <div class="wrapper">

    <header class="main-header">
      <a href="home.php" class="logo">
        <!-- mini logo for sidebar mini 50x50 pixels -->
        <span class="logo-mini"><img src="img/logo_mini.png" width="50"></span>
        <!-- logo for regular state and mobile devices -->
        <span class="logo-lg"><b><img src="img/logo.png" width="200"></b></span> </a>
      <!-- Header Navbar: style can be found in header.less -->
      <nav class="navbar navbar-static-top" role="navigation">
        <!-- Sidebar toggle button-->
        <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="logo-lg">
            &nbsp;&nbsp;<font face="Lucida Sans Unicode, Lucida Grande, sans-serif">Sampathbay</font></span>
        </a>

        <div class="navbar-custom-menu">
          <ul class="nav navbar-nav">

            <!-- User Account: style can be found in dropdown.less -->
            <li class="dropdown user user-menu">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                <img src="dist/img/user2-160x160.png" class="user-image" alt="User Image">
                <span class="hidden-xs"><?php echo $name; ?></span>
              </a>
              <ul class="dropdown-menu">
                <!-- User image -->
                <li class="user-header">
                  <img src="dist/img/user2-160x160.png" class="img-circle" alt="User Image">
                  <p>
                    Sampathbay

                  </p>
                </li>
                <!-- Menu Body -->

                <!-- Menu Footer-->
                <li class="user-footer">
                  <div class="pull-left">

                  </div>
                  <div class="pull-right">
                    <a href="distroy.php" class="btn btn-default btn-flat">Sign out</a>
                  </div>
                </li>
              </ul>
            </li>
            <!-- Control Sidebar Toggle Button -->
            <li>
              <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
            </li>
          </ul>
        </div>
      </nav>
    </header>
    <!-- Left side column. contains the logo and sidebar -->
    <aside class="main-sidebar">
      <!-- sidebar: style can be found in sidebar.less -->
      <section class="sidebar">
        <!-- Sidebar user panel -->
        <?php include "common/sidebar.php"; ?>

      </section>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <h1>
          Create Menu Category
        </h1>

        <ol class="breadcrumb">
          <li><a href="home.php"><i class="fa fa-home"></i> Home</a></li>
        </ol>
      </section>

      <!-- Main content -->
      <section class="content">

        <!-- ************************************************* -->
        <div class="box box-info only_eng">
          <div class="box-header with-border">
            <h3 class="box-title">Menu Category</h3>
          </div>

          <div class="box-body">
            <!-- text input -->
            <div class="form-group">
              <label>Category Name:<font color="#FF0000"><strong>*</strong></font></label>
              <input type="text" class="form-control" id="cat_name" autocomplete="off">
              <span id="cat_val_msg" style="color: red; display: none">*Enter Category Name</span>
            </div>

            <!-- /.box-body -->
            <div class="box-footer">
              <button id="btn_submit" class="btn btn-primary">SUBMIT</button>
            </div>

          </div>
        </div>

        <!-- /.table -->

        <div class="box box-info">
          <div class="box-header">
            <h3 class="box-title">Details Edit / Remove</h3>
          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <table id="example1" class="table table-bordered table-striped">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Category Name</th>
                  <th class="only_eng">Edit</th>
                  <th class="only_eng">Remove</th>
                </tr>
              </thead>
              <tbody>
                <?php
                $sql = "SELECT * FROM dashboard_category ORDER BY id DESC";
                $result = mysqli_query($conn, $sql);

                $x = 0;
                while ($row = mysqli_fetch_array($result)) {
                  $x++;
                ?>
                  <tr>
                    <td><?php echo $x; ?>.</td>
                    <td><?php echo $row['category']; ?></td>

                    <td align="center" class="only_eng">
                      <button class="btn btn-info btn-sm btn_up" data-toggle="modal" data-target="#edit_lng" value="<?php echo $row['id']; ?>"><span class="glyphicon glyphicon-pencil"></span> &nbsp;EDIT </button>
                    </td>

                    <td align="center" class="only_eng"><button value="<?php echo $row['id']; ?>" class="btn btn-danger btn-sm btn_dell">
                        <span class="glyphicon glyphicon-trash"></span> &nbsp;DELETE </button></td>
                  </tr>
                <?php  } ?>
              </tbody>
            </table>
          </div>
          <!-- /.box-body -->
        </div>

      </section>

    </div>
    <!-- /.End table -->
    <!-- ************************************************* -->

    <!-- /.col -->
  </div><!-- /.row -->
  </div><!-- /.box-body -->



  <div class="row">



  </div>
  <!-- /.col (right) -->


  </div>
  <footer class="main-footer">
    <div class="pull-right hidden-xs">

    </div> <strong>&copy; 2019 Sampathbay. </strong> All Rights Reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Create the tabs -->
    <ul class="nav nav-tabs nav-justified control-sidebar-tabs">
      <li><a href="#control-sidebar-home-tab" data-toggle="tab"><i class="fa fa-home"></i></a></li>
      <li><a href="#control-sidebar-settings-tab" data-toggle="tab"><i class="fa fa-gears"></i></a></li>
    </ul>
    <!-- Tab panes -->
    <div class="tab-content">
      <!-- Home tab content -->
      <div class="tab-pane" id="control-sidebar-home-tab">





      </div><!-- /.tab-pane -->


    </div><!-- /.tab-pane -->
    </div>
  </aside><!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
           immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
  </div><!-- ./wrapper -->

  <!-- Modal -->
  <div class="modal fade" id="edit_lng" role="dialog">
    <div class="modal-dialog">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title" id="test_id">Edit Menu Category</h4>
        </div>
        <div class="modal-body">

          <div>
            <div class="form-group">
              <label>Category Name:<font color="#FF0000"><strong>*</strong></font></label>
              <input type="text" class="form-control" id="cat_update" autocomplete="off">
            </div>
          </div>

          <div class="form-group">
            <label>Order ID:</label>
            <input type="text" class="form-control" id="oid_up" autocomplete="off">
          </div>

          <input type="hidden" id="cat_id_up" readonly>

          <span style="color: red;" class="pull-right">* Required Fields</span>
          <div class="form-group">
            <button class="btn btn-danger" id="update_btn">UPDATE</button>
          </div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>


  <!-- jQuery 2.1.4 -->
  <script src="plugins/jQuery/jQuery-2.1.4.min.js"></script>
  <!-- Bootstrap 3.3.5 -->
  <script src="bootstrap/js/bootstrap.min.js"></script>
  <!-- Select2 -->
  <script src="plugins/select2/select2.full.min.js"></script>
  <!-- DataTables -->
  <script src="plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="plugins/datatables/dataTables.bootstrap.min.js"></script>
  <!-- InputMask -->
  <script src="plugins/input-mask/jquery.inputmask.js"></script>
  <script src="plugins/input-mask/jquery.inputmask.date.extensions.js"></script>
  <script src="plugins/input-mask/jquery.inputmask.extensions.js"></script>
  <!-- date-range-picker -->
  <script src="plugins/daterangepicker/moment.min.js"></script>
  <script src="plugins/daterangepicker/daterangepicker.js"></script>
  <!-- bootstrap color picker -->
  <script src="plugins/colorpicker/bootstrap-colorpicker.min.js"></script>
  <!-- bootstrap time picker -->
  <script src="plugins/timepicker/bootstrap-timepicker.min.js"></script>
  <!-- SlimScroll 1.3.0 -->
  <script src="plugins/slimScroll/jquery.slimscroll.min.js"></script>
  <!-- iCheck 1.0.1 -->
  <script src="plugins/iCheck/icheck.min.js"></script>
  <!-- FastClick -->
  <script src="plugins/fastclick/fastclick.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/app.min.js"></script>
  <!-- AdminLTE for demo purposes -->
  <script src="dist/js/demo.js"></script>
  <script src="plugins/sweetalert/sweetalert.min.js"></script>
  <!-- Page script -->
  <script>
    $(function() {
      //Initialize Select2 Elements
      $(".select2").select2();

      //Datemask dd/mm/yyyy
      $("#datemask").inputmask("dd/mm/yyyy", {
        "placeholder": "yyyy-mm-dd"
      });
      //Datemask2 mm/dd/yyyy
      $("#datemask2").inputmask("mm/dd/yyyy", {
        "placeholder": "yyyy-mm-dd"
      });
      //Money Euro
      $("[data-mask]").inputmask();

      //Date range picker
      $('#reservation').daterangepicker();
      //Date range picker with time picker
      $('#date').daterangepicker({
        timePicker: false,
        timePickerIncrement: 30,
        format: 'YYYY-MM-DD'
      });
      $('#edt_date').daterangepicker({
        timePicker: false,
        timePickerIncrement: 30,
        format: 'YYYY-MM-DD'
      });
      //Date range as a button
      $('#daterange-btn').daterangepicker({
          ranges: {
            'Today': [moment(), moment()],
            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
            'This Month': [moment().startOf('month')],
            'Last Month': [moment().subtract(1, 'month').startOf('month')]
          },
          startDate: moment().subtract(29, 'days'),

        },
        function(start) {
          $('#reportrange span').html(start.format('MMMM D, YYYY'));
        }
      );

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass: 'iradio_minimal-blue'
      });
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass: 'iradio_minimal-red'
      });
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass: 'iradio_flat-green'
      });


    });

    $(function() {
      $("#example1").DataTable();
      $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false
      });
    });
  </script>

  <script>
    /***************************************  Form Validation**********************************/

    var cat_val = true;

    function cat_name_validate() {
      if ($('#cat_name').val() === '') {
        cat_val = false;
        $('#cat_val_msg').fadeIn();
        display_error_msg();
      } else {
        cat_val = true;
        clear_validation();
      }
    }

    function display_error_msg() {
      if ($('#cat_name').val() === '') {
        $('#cat_val_msg').fadeIn();
      }
    }

    function clear_validation() {
      if ($('#cat_name').val() != '') {
        $('#cat_val_msg').fadeOut();
      }
    }

    $('.form-control').focusin(function() {
      $('.formError').fadeOut();
    });

    /****************************** Insert *********************************************************/

    $("#btn_submit").click(function() {
      cat_name_validate();

      if (cat_val) {
        var cat_name = $('#cat_name').val();

        $.post('function/dashboard_category_conn.php', {
            add_cat_name: 'data',
            cat_name: cat_name
          },
          function(data) {
            if (data.msgType === 1) {
              setTimeout(function() {
                swal({
                    title: "",
                    text: "Successfully Added!",
                    type: "success",
                    confirmButtonText: "OK"
                  },
                  function(isConfirm) {
                    if (isConfirm) {
                      window.location.href = "dashboard_category.php";
                    }
                  });
              }, 100);

            } else if (data.msgType === 2) {
              swal("MYSQL Error!", "Please Try Again!", "warning");

            } else if (data.msgType === 3) {
              swal("", "Category Name Already Exist!", "warning");
            }

          }, "json");

      }
    });

    /******************************************* Remove **************************************/

    $(".btn_dell").click(function() {
      var x = $(this).val();
      swal({
          title: "Are you sure?",
          text: "Your may not be able to recover!",
          type: "warning",
          showCancelButton: true,
          confirmButtonClass: "btn-danger",
          confirmButtonText: "Yes, delete it!",
          closeOnConfirm: false
        },
        function() {
          del_func(x);
        }
      );
    });

    function del_func(gid) {
      if (gid === '') {
        swal("Warning!", "Please Select Valid Group ID!", "warning");

      } else {

        $.post("function/dashboard_category_conn.php", {
          remove_id: "data",
          gid: gid
        }, function(data) {
          if (data.msgType === 1) {
            swal({
                title: "Deleted!",
                text: "Successfully Deleted!",
                type: "success",
                confirmButtonText: "OK"
              },
              function(isConfirm) {
                if (isConfirm) {
                  window.location.href = "dashboard_category.php";
                }
              });
          } else if (data.msgType === 3) {
            swal("", "Data Already Exist!", "error");

          } else {
            swal("Oops...", "Something went wrong!", "warning");
          }
        }, "json");
      }
    }

    /******************************************* Load Form Data **************************************/

    $(".btn_up").click(function() {
      load_form_data($(this).val());
      $("#cat_id_up").val($(this).val());
    });

    function load_form_data(id) {
      $.post("function/dashboard_category_conn.php", {
        get_dataset: "data",
        gid: id
      }, function(data) {
        $.each(data, function(index, data) {
          $("#cat_update").val(data.category);
          $("#oid_up").val(data.order_id);
        });
      }, "json");
    }

    /******************************************* Edit **************************************/

    $("#update_btn").click(function() {
      var cat_name = $('#cat_update').val();
      var gid = $('#cat_id_up').val();
      var oid = $('#oid_up').val();

      if (cat_name === '') {
        swal("Warning!", "Please Enter Category Name!", "warning");

      } else if (gid === '') {
        swal("Warning!", "Please Select Valid Category ID!", "warning");

      } else {
        $.post('function/dashboard_category_conn.php', {
            update_id: 'data',
            gid: gid,
            cat_name: cat_name,
            oid: oid
          },
          function(data) {
            if (data.msgType === 1) {
              setTimeout(function() {
                swal({
                    title: "",
                    text: "Successfully Updated!",
                    type: "success",
                    confirmButtonText: "OK"
                  },
                  function(isConfirm) {
                    if (isConfirm) {
                      window.location.href = "dashboard_category.php";
                    }
                  });
              }, 100);

            } else if (data.msgType === 2) {
              swal("MYSQL Error!", "Please Try Again!", "warning");

            } else if (data.msgType === 3) {
              swal("", "Category Name Already Exist", "warning");
            }

          }, "json");

      }
    });
  </script>

</body>

</html>